/*
 * gimmix-mem.c -- University of Applied Sciences Giessen
 *                 MMIX-MEM implementation
 */


#include <stdio.h>

#include "gimmix-pipe.h"


/* this routine is found in the main program module */
extern octa read_hex(char *buf);


static char buf[20];


octa spec_read(octa addr) {
  octa val;

  if (verbose & interactive_read_bit) {
    printf("** Read from loc %08x%08x: ", addr.h, addr.l);
    fgets(buf, 20, stdin);
    val = read_hex(buf);
  } else {
    val.h = 0;
    val.l = 0;
  }
  if (verbose & show_spec_bit) {
    printf("   (spec_read %08x%08x from %08x%08x at time %d)\n",
           val.h, val.l, addr.h, addr.l, ticks.l);
  }
  return val;
}


void spec_write(octa addr, octa val) {
  if (verbose & show_spec_bit) {
    printf("   (spec_write %08x%08x to %08x%08x at time %d)\n",
           val.h, val.l, addr.h, addr.l, ticks.l);
  }
}
